%DemoNeur
%Création de la base d'apprentissage
x1=-1:0.1:1;
x1=2*rand(1,43)-ones(1,43);
x2=-1:0.1:1;
x2=2*rand(1,43)-ones(1,43);
X=[x1;x2];
y=x1.*x2.*sin(2*x1).*cos(3*x2)+x1.*x2.^2;
plot(y);
pause;
%Création du réseau
res1=newff([-1 1;-1 1],[5 1],{'tansig' 'purelin'});
%Définition des paramètres d'apprentissage
res1.trainParam.epochs=150 %Nb de passage max de la base d'apprentissage
res1.trainParam.goal=0.00001 %Critère de performance pour l'arrêt MSE
%On réalise l'apprentissage
res1=train(res1,X,y);
pause
%Simulation du réseau
yn=sim(res1,X);
%On compare avec les données d'apprentissage
plot(y)
hold on
plot(yn,'black')